aspose file tools*
The moose likes BEA/Weblogic and the fly likes Geeting Error on weblogic Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Spring in Action this week in the Spring forum!
JavaRanch » Java Forums » Products » BEA/Weblogic
Bookmark "Geeting Error on weblogic" Watch "Geeting Error on weblogic" New topic
Author

Geeting Error on weblogic

pankajr pathak
Greenhorn

Joined: Apr 26, 2011
Posts: 2
Hi,

I have deployed one application on Weblogic 9.2 and its working fine but for some classes (JSP pages), its giving error even the same application is working properly on JBoss for all the pages.
And i have placed all the required jar for eg. jstl, jstl1.2, standard, standard-1.0.2, jsp-api, servlet-api.
So please help us to resolve this issue.

Note - To run the application on weblogic we change the versionning of web.xml from 2.5 to 2.4. Is it the issue or something else we are forgetting?

Error is:-

2011-04-27 10:58:10,092 [[ACTIVE] ExecuteThread: '1' for queue: 'weblogic.kernel.Default (self-tuning)'] ERROR avigator.taglib.UseMenuDisplayerTag
- Can't find bundle for base name org.apache.struts.action.MESSAGE, locale en_US
2011-04-27 10:58:10,139 [[ACTIVE] ExecuteThread: '1' for queue: 'weblogic.kernel.Default (self-tuning)'] ERROR avigator.taglib.UseMenuDisplayerTag
- Can't find bundle for base name org.apache.struts.action.MESSAGE, locale en_US
<Apr 27, 2011 10:58:10 AM GMT+05:30> <Error> <HTTP> <BEA-101017> <[weblogic.servlet.internal.WebAppServletContext@26c7da - appName: 'ControlPlan',
name: 'ControlPlan.war', context-path: '/ControlPlan'] Root cause of ServletException.
java.lang.NoClassDefFoundError: javax/el/ELException
at jsp_servlet._jsp._controlplan.__controlplansummaryoutput._jsp__tag19(__controlplansummaryoutput.java:1736)
at jsp_servlet._jsp._controlplan.__controlplansummaryoutput._jspService(__controlplansummaryoutput.java:762)
at weblogic.servlet.jsp.JspBase.service(JspBase.java:34)
at weblogic.servlet.internal.StubSecurityHelper$ServletServiceAction.run(StubSecurityHelper.java:225)
at weblogic.servlet.internal.StubSecurityHelper.invokeServlet(StubSecurityHelper.java:127)
Truncated. see log file for complete stacktrace
>
anandraj tadkal
Ranch Hand

Joined: Feb 22, 2011
Posts: 98

Could you confirm whether the required jar files are properly loaded or not.

Also confirm whether the correct version of JSTL librabies are getting loaded.

Regards,
Anandraj,
http://weblogic-wonders.com/


Regards,
Anandraj
http://weblogic-wonders.com
Follow us on facebook:
https://www.facebook.com/weblogicwonders
pankajr pathak
Greenhorn

Joined: Apr 26, 2011
Posts: 2
Hi Anandraj,

Thanks for the Answer.

Yeah i have checked in WAR file and all of the required jar file is there.

and i am using jstl1.2 jar with jsp-api, servlet-api-2.4 and standard-1.0.2 jars.

Please let us if anything else we have to check or there is anyother way to check in weblogic for the required jar.

Thanks
Pankaj
Carol Enderlin
drifter
Ranch Hand

Joined: Oct 10, 2000
Posts: 1364
First of all, why version 9.2 of WebLogic Server? The current version is 10.3 (also know as 11g using Oracle's naming). You may have a valid reason for using version 9.2, but I have to ask especially when you indicate you have worked with JBOSS that supports different JEE version.

WLS 9.2 supports jstl 1.1. JSTL is bundled with WebLogic Server as WebApp library. You can either deploy the web app as a library or use the included jar files in your own web apps. In my install the JSTL jars are in weblogic92\common\deployable-libraries\jstl-1.1.2.war

 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Geeting Error on weblogic